org.norther.tammi.spray.filter
Class AbstractSecureContainerKeyFilter
java.lang.Object
org.norther.tammi.core.base.Adaptee
org.norther.tammi.core.base.DefaultContainer
org.norther.tammi.core.security.DefaultSecureContainer
org.norther.tammi.spray.filter.AbstractSecureContainerFilter
org.norther.tammi.spray.filter.AbstractSecureContainerKeyFilter
- All Implemented Interfaces:
- Serializable, NotificationBroadcaster, NotificationEmitter, Filter, Container, Manageable, MBeanDelegate, AccessController, SecureContainer, ContainerFilter, ContainerKeyFilter, KeyFilter, SecureContainerFilter, SecureContainerKeyFilter, SecureFilter
- Direct Known Subclasses:
- DefaultSecureContainerKeyFilter
public abstract class AbstractSecureContainerKeyFilter
- extends AbstractSecureContainerFilter
- implements SecureContainerKeyFilter
An abstract implementation of SecureContainerKeyFilter.
- Author:
- Ilkka Priha
- See Also:
- Serialized Form
| Methods inherited from class org.norther.tammi.core.security.DefaultSecureContainer |
addAllowedPermission, addDeniedPermission, allowedPermissions, allowedRoleSet, checkPermission, checkPermission, checkPermission, clearAllowedPermissions, clearDeniedPermissions, deniedPermissions, deniedRoleSet, getPermissibleRoles, getPermissibleRoles, getPermissibleRoles, isProtected, removeAllowedPermissions, removeDeniedPermissions, setAllowedPermissions, setDeniedPermissions |
| Methods inherited from class org.norther.tammi.core.base.DefaultContainer |
clear, containsKey, get, getContainerKey, getContainerKey, getContainerKey, getMBean, getMBeanHandle, getMBeanHandles, getMBeanInterface, getMBeanInterface, getObjectName, getObjectNames, getQueryPattern, registryKeySet, registryKeySet, registryKeySet, registryKeySet, registryMap, registrySize, remove, setMBeanInterface, setQueryPattern, setQueryPattern |
| Methods inherited from class org.norther.tammi.core.base.Adaptee |
addAdaptee, addNotificationListener, getAttributeSupport, getBroker, getCanonicalName, getDomain, getFactory, getLoader, getLog, getLog, getMBean, getMBeanServer, getNotificationInfo, getObjectName, getRegistrationTime, getSequenceNumber, hasListeners, isRegistered, postmanaged, premanaged, removeNotificationListener, removeNotificationListener, sendNotification, sendNotification, sendNotification, sendNotification, unmanaged, unregister |
| Methods inherited from class java.lang.Object |
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Methods inherited from interface org.norther.tammi.core.base.Container |
clear, containsKey, get, getContainerKey, getContainerKey, getContainerKey, getMBean, getMBeanInterface, getMBeanInterface, getObjectName, getObjectNames, getQueryPattern, registryKeySet, registryKeySet, registryKeySet, registryKeySet, registryMap, registrySize, remove, setMBeanInterface, setQueryPattern, setQueryPattern |
| Methods inherited from interface org.norther.tammi.core.security.AccessController |
addAllowedPermission, addDeniedPermission, allowedPermissions, allowedRoleSet, checkPermission, checkPermission, checkPermission, clearAllowedPermissions, clearDeniedPermissions, deniedPermissions, deniedRoleSet, getPermissibleRoles, getPermissibleRoles, getPermissibleRoles, isProtected, removeAllowedPermissions, removeDeniedPermissions, setAllowedPermissions, setDeniedPermissions |
| Methods inherited from interface org.norther.tammi.core.base.Container |
clear, containsKey, get, getContainerKey, getContainerKey, getContainerKey, getMBean, getMBeanInterface, getMBeanInterface, getObjectName, getObjectNames, getQueryPattern, registryKeySet, registryKeySet, registryKeySet, registryKeySet, registryMap, registrySize, remove, setMBeanInterface, setQueryPattern, setQueryPattern |
AbstractSecureContainerKeyFilter
public AbstractSecureContainerKeyFilter()
- Constructs a new filter.
AbstractSecureContainerKeyFilter
public AbstractSecureContainerKeyFilter(String className)
- Constructs a new filter with a container class.
- Parameters:
className - the container class name.
getKey
public String getKey()
- Description copied from interface:
KeyFilter
- Gets the filter key.
- Specified by:
getKey in interface KeyFilter
- Returns:
- the filter key.
setKey
public void setKey(String key)
- Description copied from interface:
KeyFilter
- Sets the filter key.
- Specified by:
setKey in interface KeyFilter
- Parameters:
key - the filter key.
isLinkedKey
public boolean isLinkedKey()
- Description copied from interface:
KeyFilter
- Checks whether the filter key is part of URL links built within filter
chains including this filter.
- Specified by:
isLinkedKey in interface KeyFilter
- Returns:
- true for a linked key, otherwise false.
setLinkedKey
public void setLinkedKey(boolean flag)
- Description copied from interface:
KeyFilter
- Sets the linked key flag. Linked keys and their values are automatically
included in URL links built within filter chains including this filter.
- Specified by:
setLinkedKey in interface KeyFilter
- Parameters:
flag - the linked key flag.
getKeyValue
public String getKeyValue(ServletRequest request,
ServletResponse response,
FilterChain chain)
- Description copied from interface:
KeyFilter
- Gets the filter key value for the specified request. By default, the
method returns the last request parameter mapped to the filter key.
- Specified by:
getKeyValue in interface KeyFilter
- Parameters:
request - the request.response - the response.chain - the filter chain.
- Returns:
- the key value or null.
getKeyValues
public String[] getKeyValues(ServletRequest request,
ServletResponse response,
FilterChain chain)
- Description copied from interface:
KeyFilter
- Gets filter key values for the specified request. By default, the method
returns request parameter values.
- Specified by:
getKeyValues in interface KeyFilter
- Parameters:
request - the request.response - the response.chain - the filter chain.
- Returns:
- the key values or null.
Copyright © 2004 The Norther Organization. All rights reserved.